{{- $page := .page }}
{{- $menuID := .menuID }}

{{- with index site.Menus $menuID }}
    {{- partial "inline/menu/walk.html" (dict "page" $page "menuEntries" .) }}
    {{ if page.IsTranslated }}
    <li class="nav-item dropdown">
      <a class="nav-link dropdown-toggle" role="button" data-bs-toggle="dropdown" aria-expanded="false"><span class="fi fi-{{ site.Language.Params.Flag }}"></span></a>
      <ul class="dropdown-menu dropdown-menu-end">
      {{ range page.Translations }}
        {{- $attrs := dict "class" "dropdown-item" }}
        <li class="nav-item">
          <a 
          {{- range $k, $v := $attrs }}
          {{- with $v }}
              {{- printf " %s=%q" $k $v | safeHTMLAttr }}
          {{- end }}
          {{- end -}}
          lang="{{ .Lang }}" hreflang="{{ .Lang }}" href="{{ .RelPermalink }}">
            <span style="float: left;">{{ .Language.LanguageName }}</span><span style="float: right;"><span class="fi fi-{{ .Language.Params.Flag }}"></span></span><span style="clear: both;">&nbsp;</span>
          </a>
        </li>
      {{ end }}
    </ul>
    </li>
    {{ end }}
{{- end }}

{{- define "partials/inline/menu/walk.html" }}
  {{- $page := .page }}
  {{- range .menuEntries }}
    {{- if .Children }}
    {{- $attrs := dict "href" .URL "class" "nav-link dropdown-toggle" "role" "button" "data-bs-toggle" "dropdown" "aria-expanded" "false" }}
    {{- if $page.HasMenuCurrent .Menu . }}
      {{- $attrs = merge $attrs (dict "class" "nav-link dropdown-toggle active" "aria-current" "page" "role" "button" "data-bs-toggle" "dropdown" "aria-expanded" "false") }}
    {{- end }}
    <li class="nav-item dropdown">
      <a
        {{- range $k, $v := $attrs }}
          {{- with $v }}
            {{- printf " %s=%q" $k $v | safeHTMLAttr }}
          {{- end }}
        {{- end -}}
      >{{ or (T .Identifier) .Name | safeHTML }}</a>
      {{- with .Children }}
        <ul class="dropdown-menu dropdown-menu-end">
          {{- partial "inline/menu/dropdownitems.html" (dict "page" $page "menuEntries" .) }}
        </ul>
      {{- end }}
    </li>
    {{- else }}
    {{- $attrs := dict "href" .URL "class" "nav-link" }}
    {{- if $page.IsMenuCurrent .Menu . }}
      {{- $attrs = merge $attrs (dict "class" "nav-link active" "aria-current" "page") }}
    {{- end }}
    <li class="nav-item">
    <a
        {{- range $k, $v := $attrs }}
        {{- with $v }}
            {{- printf " %s=%q" $k $v | safeHTMLAttr }}
        {{- end }}
        {{- end -}}
    >{{ or (T .Identifier) .Name | safeHTML }}</a>
    </li>
    {{- end}}
  {{- end }}
{{- end }}

{{- define "partials/inline/menu/dropdownitems.html" }}
  {{- $page := .page }}
  {{- range .menuEntries }}
    {{- $attrs := dict "href" .URL "class" "dropdown-item" }}
    {{- if $page.IsMenuCurrent .Menu . }}
      {{- $attrs = merge $attrs (dict "class" "dropdown-item active" "aria-current" "page") }}
    {{- end }}
    <li>
    <a
        {{- range $k, $v := $attrs }}
        {{- with $v }}
            {{- printf " %s=%q" $k $v | safeHTMLAttr }}
        {{- end }}
        {{- end -}}
    >{{ or (T .Identifier) .Name | safeHTML }}</a>
    </li>
  {{- end }}
{{- end }}


<li class="nav-item d-flex justify-content-lg-center justify-content-start align-items-center p-lg-2 pt-2" id="darkSwitch">
  <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-circle-half" viewBox="0 0 16 16">
  <path d="M8 15A7 7 0 1 0 8 1v14zm0 1A8 8 0 1 1 8 0a8 8 0 0 1 0 16z"/>
</svg>
</li>
